package de.markus.kaeppeler;

import java.awt.Rectangle;

public class Airplane {
	
	static short pos_x = 200;
	static short pos_y = 300;
	static short pos_xnew = 200;
	static short pos_ynew = 300;
	static Rectangle boundingBox;
	static boolean broken = false;
	
	Airplane(){
		boundingBox = new Rectangle(90, 32);
	}
	
	void update(){
		if(KeyHandler.aPressed){
			pos_xnew -= 60 * Rechner.timeSinceLastFrame;
		}
		if(KeyHandler.dPressed){
			pos_xnew += 60 * Rechner.timeSinceLastFrame;
		}
		if(pos_xnew > 10 && pos_xnew < 300){
			pos_x = pos_xnew;
		}else{
			pos_xnew = pos_x;
			//Rechner.gameRunning = false;
			//pos_xnew = pos_x;
		}
		
		if(KeyHandler.wPressed){
			pos_ynew -= (70 + (Rechner.speed*3)) * Rechner.timeSinceLastFrame;
		}
		if(KeyHandler.sPressed){
			pos_ynew += (70 + (Rechner.speed*3)) * Rechner.timeSinceLastFrame;
		}
		if(pos_ynew > 37 && pos_ynew < 413){
			pos_y = pos_ynew;
		}else{
			if(pos_ynew < 37){
				pos_y = 37;
			}
			if(pos_ynew > 413){
				pos_y = 413;
			}
			pos_ynew = pos_y;
			//Rechner.gameRunning = false;
		}
		
		boundingBox.x = pos_x;
		boundingBox.y = pos_y;
		Collision();
	}
	
	private void Collision(){
		for(short i = (short) (ObjectManager.ventialtors.size()-1); i>=0; i--){
			if(boundingBox.intersects(ObjectManager.ventialtors.get(i).bounding_box)){
				broken = true;
				Rechner.stopGame();
				//Rechner.gameRunning = false;
			}
		}
		for(short i = (short) (ObjectManager.airplaneBots.size()-1); i>=0; i--){
			if(boundingBox.intersects(ObjectManager.airplaneBots.get(i).bounding_box1)){
				broken = true;
				Rechner.stopGame();
				//Rechner.gameRunning = false;
			}
			if(boundingBox.intersects(ObjectManager.airplaneBots.get(i).bounding_box2)){
				broken = true;
				Rechner.stopGame();
				//Rechner.gameRunning = false;
			}
		}
		for(short i = (short) (ObjectManager.coins.size()-1); i>=0; i--){
			if(boundingBox.intersects(ObjectManager.coins.get(i).bounding_box)){
				ObjectManager.coins.remove(i);
				Rechner.coinCollected();
			}
		}
	}

}
