package de.markus.kaeppeler;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;

public class ShotManager {
	
	Random r;
	static List <Bullet> bullets;
	
	ShotManager(){
		r = new Random();
		bullets = new ArrayList<Bullet>();
	}
	
	public void update(){
		updateGen();
		updatePos();
		updateIntersect();
	}
	
	private void updateIntersect() {
		intersection: for(short b = (short) (bullets.size()-1); b>=0; b--){
			for(short a = (short) (ObjectManager.airplaneBots.size()-1); a>=0; a--){
				if(bullets.get(b).bounding_box.intersects(ObjectManager.airplaneBots.get(a).bounding_box1)){
					bullets.remove(b);
					if(ObjectManager.airplaneBots.get(a).typ == 0){
						ObjectManager.newCoins(ObjectManager.airplaneBots.get(a).pos_x, ObjectManager.airplaneBots.get(a).pos_y, r.nextInt(3)+1);
					}
					if(ObjectManager.airplaneBots.get(a).typ == 1){
						ObjectManager.newCoins(ObjectManager.airplaneBots.get(a).pos_x, ObjectManager.airplaneBots.get(a).pos_y, r.nextInt(5)+1);
					}
					ObjectManager.airplaneBots.get(a).shotDown();
					continue intersection;
					//ObjectManager.airplaneBots.remove(a);
				}	
			}
			for(short a = (short) (ObjectManager.airplaneBots.size()-1); a>=0; a--){
				if(bullets.get(b).bounding_box.intersects(ObjectManager.airplaneBots.get(a).bounding_box2)){
					//ObjectManager.airplaneBots.remove(a);
					bullets.remove(b);
					if(ObjectManager.airplaneBots.get(a).typ == 0){
						ObjectManager.newCoins(ObjectManager.airplaneBots.get(a).pos_x, ObjectManager.airplaneBots.get(a).pos_y, r.nextInt(3)+1);
					}
					if(ObjectManager.airplaneBots.get(a).typ == 1){
						ObjectManager.newCoins(ObjectManager.airplaneBots.get(a).pos_x, ObjectManager.airplaneBots.get(a).pos_y, r.nextInt(5)+1);
					}
					ObjectManager.airplaneBots.get(a).shotDown();
					continue intersection;
				}
				
			}
		}
		
	}

	private void updatePos(){
		for(short i = (short) (bullets.size()-1); i>=0; i--){
			bullets.get(i).update();
			if(bullets.get(i).pos_x < -90 || bullets.get(i).pos_x > 800 || bullets.get(i).pos_y > 600){
				bullets.remove(i);
			}
		}
	}
	
	private void updateGen(){
		if(KeyHandler.spacePressed && Rechner.one3HundertMillis){
			bullets.add(new Bullet(Airplane.pos_x+42, Airplane.pos_y+11, Background.speed+10));
		}
	}

}
