package de.markus.kaeppeler;

import java.awt.Color;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.border.Border;

public class BreakMenu extends JPanel{
	
	JLabel scoreJL;
	JLabel menuinfoJL;
	JLabel nameinfoJL;
	JLabel newhighscoreJL;
	JTextField nameJTF;
	JButton reststartJB;
	boolean ani = false;
	int i = 0;
	
	Border b1;
	Border b2;
	Font schrift1, schrift2;
	Color c1, c2;
	
	BreakMenu(){
		b1 = BorderFactory.createMatteBorder(2, 0, 2, 0, Color.BLACK);
		b2 = BorderFactory.createMatteBorder(2, 5, 2, 5, Color.BLACK);
		schrift1 = new Font("Arial", Font.PLAIN ,10);
		schrift2 = new Font("Arial", Font.CENTER_BASELINE ,22);
		c1 = new Color(255,60,60);
		c2 = new Color(200,200,200,200);
		
		setBackground(Color.WHITE);
		setBounds(0, 300, 800, 0);
		setBorder(b1);
		setLayout(null);
		
		reststartJB = new JButton("Restart");
		reststartJB.setBounds(300, 15, 200, 40);
		reststartJB.setContentAreaFilled(false);
		reststartJB.setBorder(b2);
		reststartJB.setFocusable(false);
		reststartJB.addActionListener(new restartHandler());
		add(reststartJB);
		
		scoreJL = new JLabel("Score: 17");
		scoreJL.setBounds(120, 15, 150, 40);
		scoreJL.setBorder(b2);
		scoreJL.setFont(schrift2);
		add(scoreJL);
		
		menuinfoJL = new JLabel("Esc for Menu");
		menuinfoJL.setBounds(5, 50, 90, 10);
		menuinfoJL.setBorder(null);
		menuinfoJL.setFont(schrift1);
		add(menuinfoJL);
		
		newhighscoreJL = new JLabel("New Highscore");
		newhighscoreJL.setBounds(530, 15, 170, 40);
		newhighscoreJL.setBorder(null);
		newhighscoreJL.setFont(schrift2);
		add(newhighscoreJL);
		
		
		
	}
	
	public void setAni(){
		Rechner.coins += Rechner.collectedCoins;
		Highscore.coinsEver += Rechner.collectedCoins;
		Rechner.collectedCoins = 0;
		updateScore();
		setVisible(true);
		setEnabled(true);
		ani = true;
	}
	
	private void updateScore() {
		scoreJL.setText(String.format("Score: %s", Rechner.pixelDistance/100));
		if(Highscore.newHighscore(Rechner.pixelDistance/100)){
			newhighscoreJL.setVisible(true);
		}else{
			newhighscoreJL.setVisible(false);
		}
	}

	public void aniUpdate(){
		//setBounds(0, 185, 764, 0);
		
		if(ani){
			if(i<70){
				setBounds(0, (int) (255-(0.5*i)), 800, i);
				i++;
			}else{
				setBounds(0, 220, 800, 70);
				i = 0;
				ani = false;
			}
		}
		
		
	}
	
	private class restartHandler implements ActionListener{

		@Override
		public void actionPerformed(ActionEvent arg0) {
			for(short i = (short) (ObjectManager.ventialtors.size()-1); i>=0; i--){
				ObjectManager.ventialtors.remove(i);
			}
			for(short i = (short) (ObjectManager.airplaneBots.size()-1); i>=0; i--){
				ObjectManager.airplaneBots.remove(i);
			}
			for(short i = (short) (ObjectManager.coins.size()-1); i>=0; i--){
				ObjectManager.coins.remove(i);
			}
			for(short a = (short) (ShotManager.bullets.size()-1); a>=0; a--){
				ShotManager.bullets.remove(a);
				
			}
			Background.speed = 4;
			Airplane.pos_xnew = 200;
			Airplane.pos_ynew = 300;
			Airplane.pos_x = 200;
			Airplane.pos_y = 300;
			Airplane.broken = false;
			Rechner.speed = 2;
			Rechner.speednew = 2;
			Rechner.pixelDistance = 0;
			Rechner.collectedCoins = 0;
			Rechner.timeSinceStart = 0;
			Rechner.setTimeStart();
			Rechner.timeSinceLast3HundertMillis = 0;
			Rechner.one3HundertMillis = false;
			Rechner.timeSinceLastHundertPixels = 0;
			Rechner.oneHundertPixels = false;
			Rechner.timeSinceLastThousandPixels = 0;
			Rechner.oneThousandPixels = false;
			setBounds(0, 300, 800, 0);
			setVisible(false);
			setEnabled(false);
			Rechner.gameRunning = true;
		}
		
	}
}
